<?php
	$uri = 'controles_de_visitas.php';	
	include_once($uri);
	//Tipo De Consulta (1,2,3....)
	$case = $_GET['case'];

	switch($case)
	{
		// Obtener Distritos
		case 1:	
			$parametros = array(
				"sucursales"=>$_GET['sucursales']				
			);	
		break;
		// Obtener las zonas
		case 2:	
			$parametros = array(
				"distritos"=>$_GET['distritos']				
			);	
		break;
		// Filtro
		case 3:	
			$parametros = array(
				"fecha_hasta"=>$_GET['fecha_hasta'],
				"fecha_desde"=>$_GET['fecha_desde'],
				"numero_dispositivo_movil"=>$_GET['numero_dispositivo_movil'],
				"numero_operador_movil"=>$_GET['numero_operador_movil'],
				"tipo_visita"=>$_GET['tipo_visita'],
				"cliente"=>$_GET['cliente'],
				"rutas"=>$_GET['rutas'],
				"sucursales"=>$_GET['sucursales'],
				"distritos"=>$_GET['distritos'],
				"zonas"=>$_GET['zonas'],
				"ultimo_nivel"=>$_GET['ultimo_nivel']							
			);	
		break;		
	}
	$controles_de_visitas = new ControlesVisitas();	
	switch($case){
		case 1: 
			echo $controles_de_visitas->GetDistritosBySucursalID($parametros);			
			break;
		case 2: 
			echo $controles_de_visitas->GetZonasByDistritosID($parametros);			
			break;
		case 3: 
			echo $controles_de_visitas->GetControlesVisitas($parametros);			
			break;		
	}

?>